-- See also https://en.wikipedia.org/wiki/Burger
grammar = {
  meat_patty = {
    "Angus beef",
    "chicken",
    "lamb",
    "portobello mushroom",
    "pulled pork",
    "sausage",
    "steak",
    "tuna mayonnaise rice",
    "turkey",
    "wagyu",
  },
  veggie_patty = {
    "coconut",
    "nutty",
    "possible",
    "soy",
    "tofu",
    "veggie delight",
  },
  veggie = {
    "kimchi",
    "jalapeño peppers",
    "lettuce",
    "onions",
    "pickles",
    "tomatoes",
  },
  cheese = {
    "cheddar",
    "Beaufort",
    "Cantal",
    "Comté",
    "Emmental",
    "goat",
    "mozzarella",
  },
  -- May contain dairy
  meat_sauce = {
    "algerian sauce",
    "andalousian sauce",
    "bechamel sauce",
    "burger sauce",               -- Also known as Marie Rose/cocktail sauce
    "moroccan sauce",
    "samurai sauce",
    "tartare sauce",
    "tunisian sauce",
  },
  veggie_sauce = {
    "barbecue sauce",
    "curry sauce",
    "Dijon mustard",
    "ketchup",
  },
  meat_burger = {
    "#meat_patty# burger with slices of #cheese# and dredged in #meat_sauce#",
    "#meat_patty# burger with slices of #cheese# and dripping with #veggie_sauce#",
    "#meat_patty# burger with #veggie# and #cheese# cheese in #meat_sauce#",
    "#meat_patty# burger with #veggie# and oozing #cheese# cheese in #veggie_sauce#",
    "#meat_patty# burger with #veggie#, #veggie# and #cheese# cheese in #meat_sauce#",
    "#meat_patty# burger with #veggie#, #veggie# and #cheese# cheese in #veggie_sauce#",
    "#meat_patty# burger with #veggie# and #veggie# in #meat_sauce#",
    "#meat_patty# burger with #veggie# and #veggie#, glistening in #veggie_sauce#",
  },
  veggie_burger = {
    "#veggie_patty# burger with #veggie#, #veggie# and #veggie# in #veggie_sauce#",
  },
  meat_side = {
    "chicken nuggets",
    "crispy mushrooms",
    "mac and cheese",
    "pasta salad",                    -- May contain cheese
    "potato salad",                   -- May contain eggs/mayonnaise
    "rosemary and garlic fries",      -- Contains cheese
  },
  veggie_side = {
    "avocado salad",
    "BBQ baked beans",
    "BBQ potato chips",
    "caesar salad",
    "coleslaw",
    "corn on the cob",
    "corn salad",
    "french fries",
    "french potato salad",
    "fried pickles",
    "fried shishito peppers",
    "a fruit bowl",
    "onion rings",
    "potato wedges",
    "roasted tomatoes",
    "sweet potato fries",
    "a three-bean salad",
    "tempura green beans",
    "zucchini chips",
  },
  origin = {
    "Here, have a #meat_burger#!",
    "Here, have a #veggie_burger#!",
    "Here, have a #meat_burger#, served with #meat_side#!",
    "Here, have a #meat_burger#, served with #veggie_side#!",
    "Here, have a #veggie_burger#, served with #veggie_side#!",
  }
}
